--- title: "Create product" slug: "apigateway-product-createproduct" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-product-createproduct" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Create product Available in Classic and VPC Create a product according to the user-defined conditions. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | POST | /products | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request syntax The request syntax is as follows. ``` { "subscriptionCode" : "PROTECTED", "description" : "description", "productName" : "productName" } ``` ### Request body The following describes the request body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `subscriptionCode` | String | Required | Subscription method of the product to create - `PUBLIC` \| `PROTECTED` - `PUBLIC`: The API can be used by anyone without approval - `PROTECTED`: Publisher approval is required to use the API | | `description` | String | Optional | Description of the product to create - 0 - 300 characters | | `productName` | String | Required | Name of the product to create - 1 - 100 characters | ### Request example The following is a sample request. ``` curl --location --request POST 'https://apigateway.apigw.ntruss.com/api/v1/products' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "subscriptionCode" : "PROTECTED", "description": "test", "productName" : "product001" }' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "product" : { "invokeId" : "invokeId", "domainCode" : "domainCode", "productId" : "productId", "isPublished" : true, "modifier" : "modifier", "permission" : "permission", "productName" : "productName", "subscriptionCode" : "PROTECTED", "isDeleted" : true, "modTime" : "2000-01-23T04:56:07.000+00:00", "tenantId" : "tenantId", "disabled" : true, "productDescription" : "productDescription", "actionName" : "actionName", "zoneCode" : "PUBLIC" } } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "product": { "productId": "***ghj3***", "invokeId": "***ghj3***", "tenantId": "***e230cebc1402ba89b148896951***", "productName": "product000", "productDescription": "test", "isPublished": false, "subscriptionCode": "PROTECTED", "modifier": "***d3020-5bb7-11ec-bfb8-246e96591***", "isDeleted": false, "modTime": "2024-05-07T01:53:41Z", "domainCode": "PUB", "zoneCode": "PUBLIC" } } ```